
<div class="u-wrapper u-wrapper--large">
    
    <div class="pageHeader">
        <h1>Créer un Projet</h1>
        <app-button mode="ghost" [routerLink]="'/home'">
            <lucide-icon></lucide-icon>
            Retour
        </app-button>
    </div>

    <form #myForm="ngForm" (ngSubmit)="save()">
        <!-- [control]="myForm.controls['name']" permet d'afficher les erreurs automatiquement ;)  -->
        <app-field label="Nom" [control]="myForm.controls['name']">
            <input type="text" name="name" [(ngModel)]="formData.name" required />
        </app-field>
        
        <app-field label="Description" [control]="myForm.controls['description']">
            <input type="text" name="description" [(ngModel)]="formData.description" required />
        </app-field>
        
        <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid" (onClick)="save()">
            Soumettre
        </button>
    </form>
</div>
  